Table of Contents

Class: TimeoutQueue | Twisted-0.17.4/twisted/python/timeoutqueue.py
--- | ---

A thread-safe queue that supports timeouts

Base Classes |
--- | ---
Queue.Queue

Methods |
--- | ---
__init__ wait
| __init__

    __init__ ( self,  max=0 )

| wait

    wait ( self,  timeout )

Wait until the queue isn't empty. Raises TimedOut if still empty.

Exceptions |
--- | ---
TimedOut, "timed out."

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0